Package org.apache.wiki.htmltowiki.syntax

# Class TextElementDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.TextElementDecorator

public class TextElementDecorator extends Object
Translates to wiki syntax from a `Text` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final PrintWriter`
`out`
`protected final Deque<String>`
`preStack`

## Constructor Summary

Constructors
Constructor
Description
`TextElementDecorator(PrintWriter out, Deque<String> preStack)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(org.jdom2.Text element)`
Translates the given XHTML element into wiki markup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### preStack

protected final Deque<String> preStack

## Constructor Details

### TextElementDecorator

public TextElementDecorator(PrintWriter out, Deque<String> preStack)

## Method Details

### decorate

public void decorate(org.jdom2.Text element)
Translates the given XHTML element into wiki markup.

Parameters:
  `element` - XHTML element being translated.